Obtén un agente
curl --request GET \
--url https://api.wondeya.com/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wondeya.com/v1/agents/{agentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wondeya.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/agents/{agentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wondeya.com/v1/agents/{agentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/agents/{agentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"identity": {
"businessName": "<string>",
"description": "<string>",
"tone": "<string>",
"actions": [
{
"id": "talk_to_team",
"description": "<string>"
}
],
"links": [
{
"id": "menu",
"label": {
"es": "<string>",
"en": "<string>"
},
"description": "<string>",
"url": "<string>",
"kind": "<string>",
"path": {}
}
]
},
"content": {
"useWorkspaceKnowledge": true,
"useWorkspaceAssets": true
},
"answerPolicy": {
"contactLinkId": {},
"forbiddenTopics": [
"<string>"
]
},
"defaultLocale": "es",
"locales": [
"es"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Agents
Obtén un agente
GET
/
v1
/
agents
/
{agentId}
Obtén un agente
curl --request GET \
--url https://api.wondeya.com/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wondeya.com/v1/agents/{agentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wondeya.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wondeya.com/v1/agents/{agentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wondeya.com/v1/agents/{agentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wondeya.com/v1/agents/{agentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wondeya.com/v1/agents/{agentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"identity": {
"businessName": "<string>",
"description": "<string>",
"tone": "<string>",
"actions": [
{
"id": "talk_to_team",
"description": "<string>"
}
],
"links": [
{
"id": "menu",
"label": {
"es": "<string>",
"en": "<string>"
},
"description": "<string>",
"url": "<string>",
"kind": "<string>",
"path": {}
}
]
},
"content": {
"useWorkspaceKnowledge": true,
"useWorkspaceAssets": true
},
"answerPolicy": {
"contactLinkId": {},
"forbiddenTopics": [
"<string>"
]
},
"defaultLocale": "es",
"locales": [
"es"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Autorizaciones
Una clave de API del espacio de trabajo: wdy_live_… / wdy_test_…. Se crea en POST /workspaces/{tenantId}/keys y se muestra exactamente una vez.
Parámetros de ruta
Respuesta
El id del agente. El único asidero que tiene.
Etiqueta interna. Nunca una dirección (sin slug).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
El idioma en que está redactado el texto del agente (D-44).
Opciones disponibles:
es, en Todos los idiomas que habla el agente.
Opciones disponibles:
es, en